Page MenuHome

UI drawing offset randomly on Windows 10
Closed, DuplicatePublic

Description

System Information
Operating system: Windows 10
Graphics card: GTX 660 Ti

Blender Version
Broken:
2.80 Beta, 779860d34e26, 2019-02-22, as found on the splash screen

Short description of error
In the render window the UI is positioned incorrectly sometimes which leads to the mouse interaction being offset to the UI.

Exact steps for others to reproduce the error
Open the default project and press F12 a few times. This should render in a new window (maybe the behavior is different on single screen systems, could not try at the moment), where sometimes the UI is moved upwards.

Details

Type
Bug

Event Timeline

Behavior reproduced here on Windows with a single screen and Nvidia 1060. The header bar on the Image Editor in the new window shifts up and becomes mostly obscured by the Window top border area. Dragging the window by its OS window header causes it to pop back down into place. If you maximize the window then the header becomes completely invisible and there's no way to get it back short of un-maximizing the window (at which point it corrects itself).

did 10 renders no issues.

The issue is specifically spamming the F12 key rapidly 2-3 times. If you wait for the render to complete each time then the window updates without issue.

hit F12 like a maniac, still nothing. window pops up, then stalls blender pretty much until the render is finished.

Just updated to Feb 22 Nvidia drivers and built 2.80 master up to the minute. It reliably does it if I hit f12, wait til the render is complete, then quickly hit f12 twice while the mouse is over the render output image viewer.

But this issue should be super low-priority as it causes no data loss or other serious issue, and is trivially worked around by simply moving the window etc. It's definitely not a showstopper for 2.80 release, and we should maybe have a specific priority or other triage output state for such things to help prioritize 2.80 bugs if there isn't already such a convention.

Here's a screenshot of the problem state just for reference

still nothing, one major difference between us two is i'm still on 7, while your screenshot looks like win10

Yes Win 10 64-bit / Nvidia 1060 on a laptop here. I just tried it on a desktop Win 10 64 / Nvidia 1080 system with a 16:9 monitor and could not reproduce it there. It also reproduces on a two-month old build so it likely does not represent a recent change and thus probably not evidence of an issue that might cause other currently undiscovered serious issues.

can you attach your system-info.txt ? (Help->Save System Info)

Here's mine

This issue reminds me a lot of T51521, and you do also seem to have a HD 630 based gpu in that system, can you validate that your intel drivers are up to date?

That certainly sounds plausible.

Unfortunately Acer have never released updated Intel drivers for this laptop since it was new, and I'm not willing to override the protection against installing non-vendor-approved video drivers at this point (too much risk in a hybrid graphics system), so I'm using the latest available supported drivers (which are sadly from 2017). I'll do some research and see if others have successfully been able to hack the driver instaal without problems.

Perhaps the original submitter can see if a driver update corrects their issue.

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.Feb 25 2019, 11:37 PM

Just to clarify, we are waiting for @Dont Want (McLP) to try with updated drivers.
If @Dont Want (McLP) does not have a hybrid setup, let us know.

I am currently updating my drivers, so I can tell you. I also created a system info if this helps. I am unsure what is meant by hybrid graphics.

Problem persists with up-to-date Nvidia drivers.

The issue is specifically spamming the F12 key rapidly 2-3 times. If you wait for the render to complete each time then the window updates without issue.

Can't confirm. Even happens if I wait to complete. But interestingly it did not happen on my laptop with single screen and only cpu rendering yesterday, but now it does. I also created a sysinfo. I believe this is an issue with windows 10 and has nothing to do with the graphics card or dirvers.

Sebastian Parborg (zeddb) renamed this task from UI drawing offset randomly on Windows to UI drawing offset randomly on Windows 10.Feb 26 2019, 3:50 PM
Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Normal.Feb 26 2019, 3:52 PM